import { LayoutBaseCommon, clipToBoundsProperty, isPassThroughParentEnabledProperty } from './layout-base-common';
import { View } from '../core/view';
export * from './layout-base-common';
export declare class LayoutBase extends LayoutBaseCommon {
    [clipToBoundsProperty.getDefault]: () => boolean;
    [clipToBoundsProperty.setNative]: (value: boolean) => void;
    [isPassThroughParentEnabledProperty.setNative]: (value: boolean) => void;
    nativeViewProtected: UIView;
    addChild(child: View): void;
    insertChild(child: View, atIndex: number): boolean;
    removeChild(child: View): void;
    _setNativeClipToBounds(): void;
}
